### Hierarchy

- Rectangle

### Implements

- IDrawable

## Index

### Constructors

- constructor

### Properties

- color
- pos
- size

### Methods

- draw

## Constructors

### constructor

- new Rectangle(pos: Point, size: Size, color: Color): Rectangle

- - Defined in ui/Rectangle.ts:9

  #### Parameters

  - ##### pos: Point

  - ##### size: Size

  - ##### color: Color

  #### Returns Rectangle

## Properties

### color

color: Color

Implementation of IDrawable.color

- Defined in ui/Rectangle.ts:7

### pos

pos: Point

Implementation of IDrawable.pos

- Defined in ui/Rectangle.ts:5

### size

size: Size

Implementation of IDrawable.size

- Defined in ui/Rectangle.ts:6

## Methods

### draw

- draw(offset?: Size, resolution?: Size): void
- draw(pos: Point, size: Size, color: Color, resolution?: Size): void

- Implementation of IDrawable.draw

  - Defined in ui/Rectangle.ts:15

  #### Parameters

  - ##### Optional offset: Size

  - ##### Optional resolution: Size

  #### Returns void

- Implementation of IDrawable.draw

  - Defined in ui/Rectangle.ts:16

  #### Parameters

  - ##### pos: Point

  - ##### size: Size

  - ##### color: Color

  - ##### Optional resolution: Size

  #### Returns void

Generated using TypeDoc